void main()
{
    auto a = ["hello", "world"];
    auto b = a;
    assert(a is b); // Тест прой­ден, у a и b од­ни те же гра­ни­цы
    assert(a == b); // Ес­те­ст­вен­но, тест прой­ден
    b = a.dup;
    assert(a == b); // Тест прой­ден, a и b рав­ны, хо­тя за­ни­ма­ют раз­ные об­лас­ти па­мя­ти
    assert(a !is b); // Тест прой­ден, a и b раз­лич­ны, хо­тя име­ют оди­на­ко­вое со­дер­жи­мое
}
